Bug 499439 - Show certificates on a token in the tps agent page does not show all the certs.
Show certificates on a token in the tps agent page does not show all the certs.
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
high Severity medium
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-05-06 12:55 EDT by Asha Akkiangady
Modified: 2015-01-04 18:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asha Akkiangady 2009-05-06 12:55:07 EDT
Description of problem:
Show certificates on a token in the tps agent page does not show all the certs when number of certs is multiples of 25 + 1. Example: If there are 26 cert activities on a token, show certificates displays only 25.

Version-Release number of selected component (if applicable):
CS 8.0

How reproducible:


Steps to Reproduce:
1. Load certificates on a token such that there is a total of 26 certificate entries.
2.In tps agent page select the token and click on 'Show certificates'.


Actual results:
Only 25 certs are shown. There is no next button (>) to view the 26th cert.

If I enroll one more time and load 2 more cert on this token, able to see 26th cert + 2 more new certs when next (>) button is clicked..

Expected results:

Show certificate should show all certs.


Additional info:
Comment 1 Ade Lee 2009-05-25 21:31:26 EDT
This is a simple one line fix -- 

Index: dogtag/tps/pki-tps.spec
===================================================================
--- dogtag/tps/pki-tps.spec     (revision 492)
+++ dogtag/tps/pki-tps.spec     (working copy)
@@ -34,7 +34,7 @@
 ## Package Header Definitions
 %define base_name         %{base_prefix}-%{base_component}
 %define base_version      1.1.0
-%define base_release      20
+%define base_release      21
 %define base_group        System Environment/Daemons
 %define base_vendor       Red Hat, Inc.
 %define base_license      LGPLv2 with exceptions
@@ -313,6 +313,8 @@
 ###############################################################################
 
 %changelog
+* Mon May 25 2009 Ade Lee <alee@redhat.com> 1.1.0-21
+- Bugzilla Bug #499439 -  Show certificates in the tps agent page does not show all the certs
 * Mon May 25 2009 Ade Lee <alee@redhat.com> 1.1.0-20
 - Bugzilla Bug #495157 -  SELinux prevents CA from using nethsm pkcs11 module
 * Sun May 24 2009 Ade Lee <alee@redhat.com> 1.1.0-19
Index: base/tps/src/modules/tokendb/mod_tokendb.cpp
===================================================================
--- base/tps/src/modules/tokendb/mod_tokendb.cpp        (revision 492)
+++ base/tps/src/modules/tokendb/mod_tokendb.cpp        (working copy)
@@ -4116,7 +4116,7 @@
                     one_time =0;
                 }
                 // skip values not within the page range
-                if (entryNum == (end_entry_val + 1)) {
+                if (entryNum == end_entry_val) {
                     PL_strcat( injection, "var has_more_entries = 1;\n"); 
                 } 
                 continue;
Comment 2 Ade Lee 2009-05-25 21:32:19 EDT
[builder@dhcp231-124 pki]$ svn ci -m " Bugzilla Bug #499439 -  Show certificates in the tps agent page does not show all the certs" 
Sending        base/tps/src/modules/tokendb/mod_tokendb.cpp
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ..
Committed revision 493.
Comment 3 Asha Akkiangady 2009-06-08 14:56:30 EDT
Verified.

Show certificates on a token in the tps agent page shows all the cert activities.

Note You need to log in before you can comment on or make changes to this bug.